/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.configure;

import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.DirectExchange;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class RabbitMqConfigure {

    @Bean
    public Queue queue() {
        return new Queue("dscape-compute-queue", true, false, false);
    }

    @Bean
    public DirectExchange directExchange() {
        return new DirectExchange("dscape-compute-exchange", true, false);
    }

    @Bean
    public Binding binding() {
        return BindingBuilder
                .bind(this.queue())
                .to(this.directExchange())
                .with("dscape-compute");
    }
}
